import httpRequest from '@/utils/axios'

/**
 * 创建订单
 * */
export function createOrder(data?: any) {
  return httpRequest.post('https://shop-show-pc.ezijing.com/api/shop/order/add', data)
}

/**
 * 获取列表
 */
export function getAvatarList(params: any) {
  return httpRequest.get('https://project-api.ezijing.com/api/psp/v1/welfare/avatar-list', { params })
}

/**
 * 获取信息
 */
export function getAvatar() {
  return httpRequest.get('https://project-api.ezijing.com/api/psp/v1/my/info')
}

/**
 * 上传权益人头像
 * */
export function uploadAvatar(data?: any) {
  return httpRequest.post('https://project-api.ezijing.com/api/psp/v1/welfare/avatar', data, { headers: { 'Content-Type': 'multipart/form-data' } })
}